@REM this script must be run from the GSAS installation directory
@echo *****************************************
@echo Press return to start GSAS/EXPGUI install
@echo *****************************************
@pause
@REM do on initial install
@mkdir MyWork
@ECHO Loading GSAS from subversion server
.\svn\bin\svn co https://subversion.xor.aps.anl.gov/EXPGUI/gsas/all .
@if exist expgui goto getexpgui
@ECHO *************************************************************************
@ECHO Load from repository failed. Perhaps internet access is blocked or down.
@ECHO Install failed!
@ECHO *************************************************************************
@pause
@exit
:getexpgui
@echo loading EXPGUI from repository
.\svn\bin\svn switch https://subversion.xor.aps.anl.gov/EXPGUI/trunk/ expgui
@echo loading GSAS programs
.\svn\bin\svn switch https://subversion.xor.aps.anl.gov/EXPGUI/gsas/win/exe/ exe
@echo loading pgplot
.\svn\bin\svn switch https://subversion.xor.aps.anl.gov/EXPGUI/gsas/win/pgl/ pgl
@echo **************************************************
@echo Install has completed. EXPGUI will now be started.
@echo **************************************************
@pause
%COMSPEC% /c "start exe\ncnrpack.exe expgui\expgui"
exit
